import { RTEBlock } from './block.abstract';
import { VegaRTEHtmlBlock, VegaRTETransformOptions } from '../../interface';
import { VegaRTEContent } from '../content-state';
import { RTENode } from '../nodes/node.abstract';
/**
 * HTML Block
 */
export declare class RTEHtmlBlock extends RTEBlock<VegaRTEContent | RTEHtmlBlock, RTEBlock> {
  type: 'html-block';
  parent: VegaRTEContent | RTEHtmlBlock;
  htmlTag: string;
  children: RTEBlock[];
  constructor(id: string, htmlTag: string);
  /**
   * Converts a VegaRTEHtmlBlock to an RTEHtmlBlock.
   *
   * @param {VegaRTEHtmlBlock} block - The VegaRTEHtmlBlock to convert.
   * @param {VegaRTETransformOptions} [options] - Optional transformation options.
   * @returns {RTEHtmlBlock} The converted RTEHtmlBlock.
   */
  static from(block: VegaRTEHtmlBlock, options?: VegaRTETransformOptions): RTEHtmlBlock;
  /**
   * @inheritDoc
   */
  clone(parent: VegaRTEContent | RTEHtmlBlock): RTEHtmlBlock;
  /**
   * @inheritDoc
   */
  getLastNode(): RTENode;
  /**
   * @inheritDoc
   */
  isNotEmpty(): boolean;
  /**
   * @inheritDoc
   */
  toHtml(options?: VegaRTETransformOptions): string;
  /**
   * @inheritDoc
   */
  toJSON(): VegaRTEHtmlBlock;
}
